Project

General

Profile

feature request #6616

Question/Discussion: update supported jquery version and remove old/unused js code?

Added by Saskia Gennrich almost 2 years ago. Updated over 1 year ago.

Status:
Feedback
Priority:
New
Assignee:
Saskia Gennrich
Category:
cdm-dataportal
Target version:
Start date:
05/03/2017
Due date:
% Done:

0%

Severity:
normal

Description

What is the currently supported jquery version and are there plans to update it?

I actually use jQuery/jQueryUI 1.10 and only had to make minor modifications to some files.
In jQuery 1.9 the jQuery.browser() object was removed. This is mostly used in conjunction with the "quirky magicbox" in cdm_taxontree and some jQuery plugins.

I tried to figure out what the magicbox is and get it to work, but couldn't figure out when the breaking change happened and fix it. So I just removed it completely.

Probably there are some incompatibilities, but it seems to work fine for FaunaEuropaea. Plugins that use $.browser() include lightbox, thickbox, colorbox.

History

#1 Updated by Andreas Kohlbecker almost 2 years ago

What is the currently supported jquery version and are there plans to update it?
We use the version provided by Drupal 7, this is v1.4.4 and as long there is no strong requirement we rather abstain from upgrading it as this would introduce another dependency to https://www.drupal.org/project/jquery_update

Why do you need a more recent jQuery?

The magicbox was used for a special behaviour of the taxon tree but this was not really appreciated by the users so that it has been deactivated. So removing the magicbox is not a loss.

Andreas

#2 Updated by Andreas Kohlbecker almost 2 years ago

  • Status changed from New to Feedback
  • Assignee changed from Andreas Kohlbecker to Saskia Gennrich

#3 Updated by Andreas Müller over 1 year ago

  • Tags changed from dataportal, faunaEuropaea to faunaEuropaea

remove redundant dataportal tag

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 40 MB)